import request from "@/utils/request";

export function getSaleOutPage(data) {
    return request({
        url: "/sales-delivery/page",
        method: "get",
        params: data
    });
}

export function getSaleOutList(data) {
    return request({
        url: "/sales-delivery/list",
        method: "post",
        data: data
    });
}

export function addSaleOut(data) {
    return request({
        url: "/sales-delivery/add",
        method: "post",
        data: data
    });
}

export function editSaleOut(data) {
    return request({
        url: "/sales-delivery/edit",
        method: "post", 
        data: data
    });
}

export function delSaleOut(data) {
    return request({
        url: "/sales-delivery/delete",
        method: "post",
        data: data
    });
}

export function getSaleOutById(data) {
    return request({
        url: "/sales-delivery/listById",
        method: "post",
        data: data
    });
}